package com.ozs.service.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.service.entity.BaseCameraManagement;
import com.ozs.service.entity.MsgAlarm;
import com.ozs.service.entity.vo.*;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 相机台账管理表 Mapper 接口
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
@Mapper
public interface BaseCameraManagementMapper extends BaseMapper<BaseCameraManagement> {

    List<BaseCameraManagement> selectCameraManagementList(BaseCameraManagementVo baseCameraManagementVo);

    Integer countCamera(MsgAlarmVo msgAlarmVo);

    Map<String, Object> getCameraChannelByAlarmId(@Param("alarmId") String alarmId);

    List<DeviceStateResp> deviceStatePage(DeviceStateResp deviceStateResp);

    List<AlarmCountSortVo> alarmCountSort();
}
