package com.ozs.web.controller.app;

import com.ozs.common.core.controller.BaseController;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.common.utils.StringUtils;
import com.ozs.service.entity.UserRegistrationid;
import com.ozs.service.entity.vo.MsgAlarmVo;
import com.ozs.service.service.MsgAlarmService;
import com.ozs.service.service.UserRegistrationidService;
import com.ozs.system.service.DataScoreUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author : sunhh
 * @create 2023/3/14 16:36
 */
@Slf4j
@RestController
@RequestMapping("/jPushApp")
public class JPushAppController extends BaseController {
    @Autowired
    private UserRegistrationidService userRegistrationidService;
    @Autowired
    private MsgAlarmService msgAlarmService;
    @Autowired
    private DataScoreUtil dataScoreUtil;

    /**
     * app报警推送次数
     */
    @GetMapping("/appAlarmNum")
    public AjaxResult appAlarmNum() {
        MsgAlarmVo msgAlarmVo = (MsgAlarmVo) dataScoreUtil.setDataScore(getUserId(), new MsgAlarmVo());
        Integer appAlarmNum = msgAlarmService.appAlarmNum(msgAlarmVo);
        return AjaxResult.success(appAlarmNum);
    }

    /**
     * 存储RegistrationID
     */
    @PostMapping("/addRegistrationID")
    public AjaxResult addRegistrationID(@RequestBody UserRegistrationid userRegistrationid) {
        if (StringUtils.isEmpty(userRegistrationid)
                || StringUtils.isEmpty(userRegistrationid.getUserId())
                || StringUtils.isEmpty(userRegistrationid.getRegistrationId())) {
            return AjaxResult.error("userId,RegistrationID 不能为空！");
        }
        log.info("addRegistrationID:--------" + userRegistrationid);
        log.info("addRegistrationID:--------userid:" + userRegistrationid.getUserId());
        log.info("addRegistrationID:--------registrationId:" + userRegistrationid.getRegistrationId());
        return toAjax(userRegistrationidService.addRegistrationID(userRegistrationid));
    }
}
